/*! ********************************************
 * EffectorBase.as
 * Copyright 2019 masahiro takamoto (MotChan)
 * Distributed under the MIT license. 
 * see -> sora/license.txt
 ******************************************** */
package sora.graybox.efx 
{
public class EffectorBase
{
	//protected var _gain :Number = 1.0;  // -value ~ 0.0 ~ +value
	protected var _mix     :Number = 0.0;  // 0.0 ~ 1.0
	protected var _antiMix :Number = 1.0;  // 0.0 ~ 1.0
	public function getMix():Number{ return _mix; }
	public function setMix(val:Number):void{ _mix = val; _antiMix = 1.0 - _mix; }
	
	public function applyEffect(outL:Vector.<Number>, outR:Vector.<Number>, startFrame:int, sampleFrames:int):void{}
	public function resetParameters():void{}
	public function clearBuffer():void{}
	public function initialize():void{}
	
// Constructor
	public function EffectorBase():void{}
}
}